package com.ruoyi.project.training.bccnew.service;

import java.util.List;
import com.ruoyi.project.training.bccnew.domain.TTsFirstplan;

/**
 * 进组培训Service接口
 * 
 * @author ssy
 * @date 2024-06-17
 */
public interface ITTsFirstplanService 
{
    /**
     * 查询进组培训
     * 
     * @param id 进组培训ID
     * @return 进组培训
     */
    public TTsFirstplan selectTTsFirstplanById(Long id);
    public List<TTsFirstplan> selectTTsFirstplanListByNewId(TTsFirstplan tTsFirstplan);

    /**
     * 查询进组培训列表
     * 
     * @param tTsFirstplan 进组培训
     * @return 进组培训集合
     */
    public List<TTsFirstplan> selectTTsFirstplanList(TTsFirstplan tTsFirstplan);

    /**
     * 新增进组培训
     * 
     * @param tTsFirstplan 进组培训
     * @return 结果
     */
    public int insertTTsFirstplan(TTsFirstplan tTsFirstplan);

    /**
     * 修改进组培训
     * 
     * @param tTsFirstplan 进组培训
     * @return 结果
     */
    public int updateTTsFirstplan(TTsFirstplan tTsFirstplan);

    /**
     * 批量删除进组培训
     * 
     * @param ids 需要删除的进组培训ID
     * @return 结果
     */
    public int deleteTTsFirstplanByIds(Long[] ids);

    /**
     * 删除进组培训信息
     * 
     * @param id 进组培训ID
     * @return 结果
     */
    public int deleteTTsFirstplanById(Long id);
}
